サポート » 使い方全般 » バージョンアップが出来ません、、、

  • 解決済 ashama

    (@ashama)


    一度バージョンアップしようとして不具合が発生したため
    それ以降更新しないで我慢してきました。
    現在 ver4.1.12 です ver4.5.3にしたいと思いますが
    更新すると以下のメッセージが出ます
    =============================
     更新を展開しています…

     展開したファイルをチェックしています…

     最新版をインストールする準備をしています…

     メンテナンスモードを有効にします…

     必要なファイルをコピーしています…

     メンテナンスモードを無効にします…

     更新が必要な翻訳が一部あります。更新が終わるまでしばらくお持ちください。

     WordPress (ja) の翻訳を更新しています…

     翻訳が正常に更新されました。

     ディレクトリを作成できませんでした。: wp-includes/Text/Diff

     インストール失敗
    ================================
    その後ホームページを開くと
    以下のメッセージが出てきます
    ================================
    Warning: require(/home/users/0/lolipop.jp-hondacars-nozaki/web/wp-includes/class-wp-roles.php) [function.require]: failed to open stream: No such file or directory in /home/users/0/lolipop.jp-hondacars-nozaki/web/wp-settings.php on line 125

    Warning: require(/home/users/0/lolipop.jp-hondacars-nozaki/web/wp-includes/class-wp-roles.php) [function.require]: failed to open stream: No such file or directory in /home/users/0/lolipop.jp-hondacars-nozaki/web/wp-settings.php on line 125

    Fatal error: require() [function.require]: Failed opening required ‘/home/users/0/lolipop.jp-hondacars-nozaki/web/wp-includes/class-wp-roles.php’ (include_path=’.:/usr/local/php/5.3/lib/php’) in /home/users/0/lolipop.jp-hondacars-nozaki/web/wp-settings.php on line 125

    =================================
    wp-includesフォルダにはclass-wp-roles.phpが
    存在しません、、、
    class-wp-role.phpは存在します、、、
    class-wp-roles.phpとファイル名を変えてみましたが
    だめでした、、、

    どうしたらよいでしょうか?
    よろしくお願い致します。

4件の返信を表示中 - 1 - 4件目 (全4件中)
  • ディレクトリを作成できませんでした。: wp-includes/Text/Diff

    そこでインストールが失敗しているのだから、不完全ですべてのプログラムがアップロードされていないためでしょう。

    wp-includesか、wp-includes/Text/ のパーミッションを755に変更してください。
    ロリポップについてはよく知らないのですが、755でダメなら777にし、更新が終わったら755にしてください。

    スレッド開始 ashama

    (@ashama)

    更新できました
    ありがとうございます!!
    昨日いろいろとやっていてダメだったので
    嘘のようです!

    wp-includes 755 ==> 777
    wp-includes/TEXT/ 644==>777
    にして更新したら大丈夫でした。

    更新後両方とも 744 で良いでしょうか?

    両方とも755に変更してください。

    環境によりますが、ディレクトリのオーナーとWebサーバーの実行者が異なる場合、Webサーバーからディレクトリの中のファイルを参照できなくなります。

    今回は多分、wp-includes/TEXT/の方がマズかったのだと思います。

4件の返信を表示中 - 1 - 4件目 (全4件中)
  • トピック「バージョンアップが出来ません、、、」には新たに返信することはできません。